Skip to main content
`Ctrl`+`K`

# skbio.diversity.alpha.margalef

skbio.diversity.alpha.margalef(counts)

  Calculate Margalef’s richness index.

  Margalef’s richness index \(D\) is defined as:

  \[D = \frac{(S - 1)}{\ln N}\]

  where \(S\) is the number of taxa and \(N\) is the total number of individuals in the sample.

  Margalef’s richness index assumes log accumulation.

  Parameters:
    counts 1-D array_like, int

      Vector of counts.

  Returns:
    float

      Margalef’s richness index.

  See also

  `menhinick`

  Notes

  Margalef’s richness index was originally described in [1].

  References

  [1]

  Margalef, R. (1958) Information Theory in Ecology. General Systems, 3, 36-71.